;;; -*-lisp-*-
;;;
;;; Package definition for the Sod parser infrastructure
;;;
;;; (c) 2009 Straylight/Edgeware
;;;

;;;----- Licensing notice ---------------------------------------------------
;;;
;;; This file is part of the Sensble Object Design, an object system for C.
;;;
;;; SOD is free software; you can redistribute it and/or modify
;;; it under the terms of the GNU General Public License as published by
;;; the Free Software Foundation; either version 2 of the License, or
;;; (at your option) any later version.
;;;
;;; SOD is distributed in the hope that it will be useful,
;;; but WITHOUT ANY WARRANTY; without even the implied warranty of
;;; MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
;;; GNU General Public License for more details.
;;;
;;; You should have received a copy of the GNU General Public License
;;; along with SOD; if not, write to the Free Software Foundation,
;;; Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

(cl:defpackage #:sod-parser
  (:use #:common-lisp
	#:sod-utilities

	;; Try to find Gray streams support from somewhere.  ECL tucks them
	;; somewhere unhelpful.
	#+sbcl #:sb-gray
	#+cmu #:extensions
	#+ecl #.(if (find-package '#:gray) '#:gray '#:si)
	#+clisp #:gray
	#-(or sbcl cmu ecl clisp) ...))

;;;----- That's all, folks --------------------------------------------------
